<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GangFormulas](./bitburner.gangformulas.md) &gt; [wantedPenalty](./bitburner.gangformulas.wantedpenalty.md)

## GangFormulas.wantedPenalty() method

Calculate the wanted penalty.

**Signature:**

```typescript
wantedPenalty(gang: GangGenInfo): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

gang


</td><td>

[GangGenInfo](./bitburner.ganggeninfo.md)


</td><td>

Gang info from [getGangInformation](./bitburner.gang.getganginformation.md)


</td></tr>
</tbody></table>

**Returns:**

number

The calculated wanted penalty.

